# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/omerc/ObliqueMercator.cpp File Reference

`#include <math.h>`
`#include "ObliqueMercator.h"`
`#include "ObliqueMercatorParameters.h"`
`#include "MapProjectionCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`
`#include "WarningMessages.h"`

Go to the source code of this file.

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER_2 = ( PI / 2.0)
const double | PI_OVER_4 = ( PI / 4.0)
const double | TWO_PI = ( 2.0 * PI)
const double | MIN_SCALE_FACTOR = 0.3
const double | MAX_SCALE_FACTOR = 3.0

## Variable Documentation

const double MAX_SCALE_FACTOR = 3.0

Definition at line 129 of file ObliqueMercator.cpp.

const double MIN_SCALE_FACTOR = 0.3

Definition at line 128 of file ObliqueMercator.cpp.

const double PI = 3.14159265358979323e0

Definition at line 124 of file ObliqueMercator.cpp.

const double PI_OVER_2 = ( PI / 2.0)

Definition at line 125 of file ObliqueMercator.cpp.

const double PI_OVER_4 = ( PI / 4.0)

Definition at line 126 of file ObliqueMercator.cpp.

const double TWO_PI = ( 2.0 * PI)

Definition at line 127 of file ObliqueMercator.cpp.